apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-frontend
  labels:
    app: {{ .Release.Name }}-frontend
    type: task
spec:
  selector:
    matchLabels:
      project: {{ .Release.Name }}-frontend
  template:
    metadata:
      labels:
        project: {{ .Release.Name }}-frontend
        type: task
    spec:
      automountServiceAccountToken: false
      enableServiceLinks: false
      containers:
        - name: {{ .Release.Name }}-proxy-frontend
          image: {{ .Values.container.frontend.image }}
          securityContext:
            runAsNonRoot: true
            allowPrivilegeEscalation: false
          livenessProbe:
            httpGet:
              path: /healthcheck
              port: 8080
            initialDelaySeconds: 5
            periodSeconds: 10
            timeoutSeconds: 5
          resources:
            requests:
              memory: {{ .Values.container.frontend.resources.requests.memory }}
              cpu: {{ .Values.container.frontend.resources.requests.cpu }}
            limits:
              memory: {{ .Values.container.frontend.resources.limits.memory }}
              cpu: {{ .Values.container.frontend.resources.limits.cpu }}
          ports:
            - containerPort: 8080
